EeePC 1005px laptop backlight is off after system boot up

Bug #1837117 reported by Sergey Nikitin on 2019-07-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Status tracked in Eoan
Xenial
Undecided
Po-Hsu Lin
Disco
Undecided
Po-Hsu Lin
Eoan
Undecided
Unassigned

Bug Description

== SRU Justification ==
Commit 78f3ac76d9e5 ("platform/x86: asus-wmi: Tell the EC the OS will
handle the display off hotkey") causes the backlight to be permanently off
on various EeePC laptop models using the eeepc-wmi driver (Asus EeePC
1015BX, Asus EeePC 1025C).

== Fix ==
* 1dd93f87 (platform/x86: asus-wmi: Only Tell EC the OS will handle
display hotkeys from asus_nb_wmi)

This patch addes a .wmi_backlight_set_devstate quirk for specific
models to make asus_wmi_set_devstate(ASUS_WMI_DEVID_BACKLIGHT, 2, NULL)
conditional.

Only X/D contain the commit that introduce this issue (78f3ac76), this
patch can be cherry-picked into D.

For X, it needs some content adjustment to add quirks only to those
models that exist in Xenial tree.

== Test ==
Test kernels could be found here:
https://people.canonical.com/~phlin/kernel/lp-1837117-eeepc/

Bug reporter has verified that this fix works as expected on X.

== Regression Potential ==
Low, quirks limited to specific ASUS laptops and by far there is no
further change to this in upstream kernel.

== Original Bug Report ==
After kernel update the backlight on my Asus eeepc 1005px becomes off during boot up. I can see the login screen if I point light to the screen. The backlight is not reacting on brightness adjustment keys. The backlight starts working only if I close and open the laptop lid.

I have tried to:
* echo 10 > /sys/class/backlight/acpi_video0/brightness
* echo 125 > /sys/class/backlight/intel_backlight/brightness
* vbetool dpms on
* pass "acpi_backlight=vendor" kernel parameter
* install gdm instead of lightdm
* create /usr/share/X11/xorg.conf.d/80-backlight.conf with content recommended in Kernel/Debugging/Backlight Wiki article
with no luck.

The backlight works fine if I pass "acpi_osi=" kernel parameter, the brightness is adjusted by keys, but the applet does not react to adjustments.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.4.0-145-generic 4.4.0-145.171
ProcVersionSignature: Ubuntu 4.4.0-145.171-generic 4.4.176
Uname: Linux 4.4.0-145-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
CurrentDesktop: XFCE
Date: Thu Jul 18 22:30:44 2019
InstallationDate: Installed on 2019-02-17 (151 days ago)
InstallationMedia: Xubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
SourcePackage: linux-signed
UpgradeStatus: No upgrade log present (probably fresh install)

Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Sergey Nikitin (sergnick) wrote :
Po-Hsu Lin (cypressyew) wrote :
Changed in linux-signed (Ubuntu):
status: New → Incomplete

Hi Po-Hsu Lin!

Thank you for the rapid reply. I have installed the kernel you suggested.
Also I removed "acpi_osi=" kernel parameter.
I confirm that everything works fine including the applet.
I hope this patch will become an official update for Ubuntu 16.04.

Thank you!
Best regards,
Sergey Nikitin

пт, 19 Июл 2019, 7:00 Po-Hsu Lin <email address hidden>:

> Hi,
> it looks like this might be the cause:
>
> https://kernel.ubuntu.com/git/ubuntu/ubuntu-xenial.git/commit/?h=master-next&id=423c214817cfb7c96c198a873bcb56b498458fb9
>
> With the fix:
>
> https://github.com/torvalds/linux/commit/1dd93f873d8ed8e5b228d1ae324b1f3c1e94bfa8
>
> Can you give this patched kernel a try to see if it can fix your issue?
> https://people.canonical.com/~phlin/kernel/lp-1837117-eeepc/
>
> Thanks
>
> ** Changed in: linux-signed (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1837117
>
> Title:
> Laptop backlight is off after system boot up
>
> Status in linux-signed package in Ubuntu:
> Incomplete
>
> Bug description:
> After kernel update the backlight on my Asus eeepc 1005px becomes off
> during boot up. I can see the login screen if I point light to the
> screen. The backlight is not reacting on brightness adjustment keys.
> The backlight starts working only if I close and open the laptop lid.
>
> I have tried to:
> * echo 10 > /sys/class/backlight/acpi_video0/brightness
> * echo 125 > /sys/class/backlight/intel_backlight/brightness
> * vbetool dpms on
> * pass "acpi_backlight=vendor" kernel parameter
> * install gdm instead of lightdm
> * create /usr/share/X11/xorg.conf.d/80-backlight.conf with content
> recommended in Kernel/Debugging/Backlight Wiki article
> with no luck.
>
> The backlight works fine if I pass "acpi_osi=" kernel parameter, the
> brightness is adjusted by keys, but the applet does not react to
> adjustments.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: linux-image-4.4.0-145-generic 4.4.0-145.171
> ProcVersionSignature: Ubuntu 4.4.0-145.171-generic 4.4.176
> Uname: Linux 4.4.0-145-generic x86_64
> ApportVersion: 2.20.1-0ubuntu2.18
> Architecture: amd64
> CurrentDesktop: XFCE
> Date: Thu Jul 18 22:30:44 2019
> InstallationDate: Installed on 2019-02-17 (151 days ago)
> InstallationMedia: Xubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64
> (20160719)
> SourcePackage: linux-signed
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/linux-signed/+bug/1837117/+subscriptions
>

Thanks for testing, I will SRU this to at lease Xenial 4.4

Changed in linux-signed (Ubuntu):
assignee: nobody → Po-Hsu Lin (cypressyew)
status: Incomplete → In Progress
affects: linux-signed (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Po-Hsu Lin (cypressyew) → nobody
Changed in linux (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Po-Hsu Lin (cypressyew)
Po-Hsu Lin (cypressyew) wrote :

This patch is already in Eoan, mark this one as Fix-released.

Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Released
Po-Hsu Lin (cypressyew) on 2019-07-25
description: updated
summary: - Laptop backlight is off after system boot up
+ EeePC 1005px laptop backlight is off after system boot up
Changed in linux (Ubuntu Disco):
status: New → In Progress
assignee: nobody → Po-Hsu Lin (cypressyew)
Po-Hsu Lin (cypressyew) on 2019-07-25
tags: added: disco
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
tags: added: verification-done-xenial
removed: verification-needed-xenial

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (34.4 KiB)

This bug was fixed in the package linux - 5.0.0-27.28

---------------
linux (5.0.0-27.28) disco; urgency=medium

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)

  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

linux (5.0.0-26.27) disco; urgency=medium

  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562

  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi

  * br_netfilter: namespace sysctl operations (LP: #1836910)
    - netfilter: bridge: port sysctls to use brnf_net
    - netfilter: bridge: namespace bridge netfilter sysctls
    - netfilter: bridge: prevent UAF in brnf_exit_net()

  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list

  * shiftfs: allow overlayfs (LP: #1838677)
    - SAUCE: shiftfs: enable overlayfs on shiftfs

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * Regressions in CMA allocation rework (LP: #1839395)
    - dma-contiguous: do not overwrite align in dma_alloc_contiguous()
    - dma-contiguous: page-align the size in dma_free_contiguous()

  * CVE-2019-3900
    - vhost: introduce vhost_exceeds_weight()
    - vhost_net: fix possible infinite loop
    - vhost: vsock: add weight support
    - vhost: scsi: add weight support

  * Disco update: 5.0.21 upstream stable release (LP: #1837518)
    - bonding/802.3ad: fix slave link initialization transition states
    - cxgb4: offload VLAN flows regardless of VLAN ethtype
    - inet: switch IP ID generator to siphash
    - ipv4/igmp: fix another memory leak in igmpv3_del_delrec()
    - ipv4/igmp: fix build error if !CONFIG_IP_MULTICAST
    - ipv6: Consider sk_bound_dev_if when binding a raw socket to an address
    - ipv6: Fix redi...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 4.4.0-161.189

---------------
linux (4.4.0-161.189) xenial; urgency=medium

  * xenial/linux: 4.4.0-161.189 -proposed tracker (LP: #1841544)

  * flock not mediated by 'k' (LP: 1658219)
    - Revert "UBUNTU: SAUCE: apparmor: flock mediation is not being, enforced on
      cache check"

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis

linux (4.4.0-160.188) xenial; urgency=medium

  * xenial/linux: 4.4.0-160.188 -proposed tracker (LP: #1840021)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi

  * CVE-2019-10638
    - [Config] CONFIG_TEST_HASH=n
    - siphash: add cryptographically secure PRF
    - inet: switch IP ID generator to siphash

  * Stacked onexec transitions fail when under NO NEW PRIVS restrictions
    (LP: #1839037)
    - SAUCE: apparmor: fix nnp subset check failure, when stacking

  * AppArmor onexec transition causes WARN kernel stack trace (LP: #1838627)
    - SAUCE: apparmor: fix audit failures when performing profile transitions

  * flock not mediated by 'k' (LP: 1658219) // Ubuntu 16.04: read access
    incorrectly implies 'm' rule (LP: 1838090)
    - SAUCE: apparmor: flock mediation is not being, enforced on cache check

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665) // Tight
    timeout for bcache removal causes spurious failures (LP: #1796292)
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: improve bcache_reboot()
    - bcache: add journal statistic
    - bcache: fix high CPU occupancy during journal
    - bcache: fix incorrect sysfs output value of strip size
    - bcache: fix error return value in memory shrink
    - bcache: fix using of loop variable in memory shrink
    - bcache: Fix indentation
    - bcache: Add __printf annotation to __bch_check_keys()
    - bcache: Annotate switch fall-through
    - bcache: Fix kernel-doc warnings
    - bcache: Remove an unused variable
    - bcache: Suppress more warnings about set-but-not-used variables
    - bcache: Reduce the number of sparse complaints about lock imbalances
    - bcache: Move couple of functions to sysfs.c

  * CVE-2019-3900
    - vhost: introduce vhost_vq_avail_empty()
    - vhost_net: tx batching
    - vhost_net: do not stall on zerocopy depletion
    - vhost-net: set packet weight of tx polling to 2 * vq size
    - vhost_net: use packet weight for rx handler, too
    - vhost_net: introduce vhost_exceeds_weight()
    - vhost: introduce vhost_exceeds_weight()
    - vhost_net: fix possible infinite loop
    - vhost: scsi: add weight support

  * Xenial: ZFS deadlock in shrinker path with xattrs (LP: #1839521)
    - SAUCE: (noup) Update zfs to 0.6.5.6-0ubuntu28

  * CVE-2019-13648
    - powerpc/tm: Fix oops on sigreturn on systems without TM

  * CVE-2018-20856
    - block: blk_init_allocated_queue() set q->fq as NULL in the fail case

  * CVE-2019-14283
    - floppy: fix out-of-bound...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.